DVBPortal HDTVPump Plug-in for Windows Media Player 10

banner art

DVBPortal HDTVPump Plug-in for Windows Media® Player

With this plug-in and the HDTVPump DirectShow filter you play your HDTV transport streams right in Windows Media® Player. For the digital HDTV enthusiast, this add-on provides the latest cutting-edge technologies to enhance your digital media experience.

The integrated transport stream editor allows you to trim files, extract scenes and cut large files. With the built-in filter controller you can tweak every aspect of the filter graph.

What do you want to learn about?

  • Common tasks
  • Plug-in areas and buttons
  • Using the HDTVPump plug-in

Ver. 1.0.7

© 2005 DVBPortal. All rights reserved.


Common Tasks

To help you get up and running quickly, this section highlights the most frequently used tasks that you can accomplish with the HDTVPump Plug-in.

  • To show the Transport Stream Controls pane
  • To play transport streams
  • To show HDTVPump properties
  • Exporting a segment

Related topics

  • Introducing HDTVPump Plug-in


Plug-in areas and buttons

The HDTVPump plug-in consists of a DirectShow filter and transport stream controls that you can use to perform actions, such as adjusting the playback time or mark certain points in the movie. Other areas display technical details about the transport stream or the filters currently in use.

This section covers:

  • Now Playing area
  • Transport stream controls
  • HDTVPump properties
  • Filter controls

Related topics

  • Introducing HDTVPump Plug-in


Now Playing area

The Now Playing area contains a number of panes. You can use it to view the Transport Stream Controls. You can show or hide these controls to suit your needs.

Related topics

  • Plug-in areas and buttons


Transport stream controls

A component of the Now Playing feature, the Transport Stream Controls pane contains several controls that you can use to seek to a specific playback time and to control filters. In addition, you can use this pane to extract scenes and still captures from the movie.

Note Image Note

  • To show or hide the Transport Stream Controls pane, on the View menu, point to Plugins, and then click Transport Stream Controls.

Related topics

  • Plug-in areas and buttons
  • Editing transport streams
  • Controlling filters


HDTVPump properties

The HDTVPump property page display technical details of the currently playing tranport stream. You can also use it to modify the settings for transport stream playback.

Note Image Note

  • To show the HDTVPump properties, click Properties.

Related topics

  • Plug-in areas and buttons


Filter controls

Using the Filter controls you can tweak every filter that is currently in use. Select the filter, you want to tweak, from the popup menu. This opens the selected filter's property page. This function gives you detailed control over the media playback.

Note Image Note

  • To show the Filter Controls, hold the shift key, then click Properties. From the popup menu select a filter to display it's property page.

Related topics

  • Plug-in areas and buttons


Using the HDTVPump plug-in

With the HDTVPump filter and plugin, you can play ATSC and DVB transport streams, extract parts of the stream and control the playback.

This section cover:

  • Playing transport streams
  • Editing transport streams
  • Controlling filters
  • Taking still captures

Related topics

  • Introducing HDTVPump Plug-in


Playing transport streams

The HDTVPump plug-in includes a number of controls and commands that you can use to play transport streams.

This section covers:

  • To play transport streams
  • To play content at a specified position
  • To play video one frame at a time
  • To play marked points in a file
  • To pause a file
  • To stop a file
  • To skip to the next file
  • To skip to the previous file
  • To change the soundtrack language

Related topics

  • Using the HDTVPump plug-in


To play transport streams

To play transport streams

To Do this
Play a paused or stopped file Click the Play button Play button .

-or-

On the Play menu, click Play/Pause.

Play a file on your computer or network
  1. On the File menu, click Open.
  2. Navigate to the appropriate location, click the file, and then click Open.

Note Image Notes

  • If the items do not play in the order that you expect, the shuffle feature may be turned on. To turn off the shuffle feature, on the Play menu, click Shuffle (the check mark next to the command is removed).

Related topics

  • Playing transport streams


To play content at a specified position

To play an item at a specific point

  • Play a file, and then move the Seek slider to the point that you want the file to play.

    Seek slider

Note Image Note

  • The Thumb tooltip displays the seek point in seconds while dragging.

Related topics

  • Playing transport streams


To play video one frame at a time

  1. Play video.
  2. In the plugin pane, do one of following:
    • To move the video backward one frame, click the Previous frame button Previous frame button.
    • To move the video forward one frame, click the Next frame button Next frame button.

Note Image Notes

  • Not all video can be played one frame at a time.
  • To return to normal play speed, click the Play button.

Related topics

  • Playing transport streams


To play marked points in a file

When you click on the Mark In or Mark Out time, the player begins playing at the time that is associated with that marker.

Related topics

  • Playing transport streams


To pause a file

  • Click the Pause button Pause button .

    -or-

    On the Play menu, click Play/Pause.

Related topics

  • Playing transport streams


To stop a file

  • Click the Stop button Stop button .

    -or-

    On the Play menu, click Stop.

Related topics

  • Playing transport streams


To skip to the next file

  • Play a file, and then click the Next button Next button .

    -or-

    On the Play menu, click Next.

Note Image Note

  • The Next button is not available for all files.

Related topics

  • Playing transport streams


To skip to the previous file

  • Play a file, and then click the Previous button Previous button .

    -or-

    On the Play menu, click Previous.

Note Image Note

  • The Previous button is not available for all files.

Related topics

  • Playing transport streams


To change the soundtrack language

Do one of the following:

  • To set the soundtrack language for a selected transport stream, on the Play menu, point to Audio and Language Tracks, and then click the appropriate language or other option.

    A bullet appears next to the language or option that is currently selected.

    - or -

  • Open the HDTVPump Property Page and select one of the audio streams.

Note Image Notes

  • This feature is only available when the transport stream supports alternate soundtrack languages.

Related topics

  • Playing transport streams


Editing transport streams

The transport stream editor allows you to extract scenes and to trim the start and end of the movie. Selected parts of the movie are written to a new transport stream.

This section covers:

  • Setting markers
  • Exporting a segment

Related topics

  • Using the HDTVPump plug-in


Setting markers

  1. Play a file that you want to extract a segment from or that you want to trim.
  2. On the View menu, point to Plug-ins, and then click Transport Stream Controls.
  3. Click the Mark in link at the point where you want the clip to start.

    If necessary, use the Slow, Normal, Fast, Previous frame, or Next frame controls to navigate to the desired start point.

  4. Click the Mark out link at the point where you want the clip to stop.

Related topics

  • Editing transport streams


Exporting a segment

  1. Set markers to specify the segment you want to trim or extract.
  2. Click the Export... link.

    The Player stops playback and writes the selected segment to a new transport stream.

Note Image Notes

  • When you use this feature, you are creating a new transport stream with all PIDs, tables and the relevant packets from the original stream.
  • The new file is placed in the same folder under the same name plus the suffix (part).

Related topics

  • Editing transport streams
  • Setting markers


Controlling filters

Windows Media Player builds a filter graph for media playback. The graph consists of a couple of filters, which serve different purposes like reading the source media, decoding and rendering. Each of these filters has properties, which can be controlled by the HDTVPump plug-in.

This section covers:

  • To show HDTVPump properties
  • To show filter properties

Related topics

  • Using the HDTVPump plug-in
  • Filter controls


To show HDTVPump properties

  1. Play a file that you want to view the properties from.
  2. On the View menu, point to Plug-ins, and then click Transport Stream Controls.
  3. Click the Properties link.

The Properties explained

  • Program info
  • PID info
  • Programs

Related topics

  • Controlling filters


Program info

This property page displays the technical parameters of the transport stream.

The parameters explained

Parameter | Explanation
Program Association Table (PAT) | For each service in the multiplex, the PAT indicates the location (the Packet Identifier (PID) values of the Transport Stream (TS) packets) of the corresponding Program Map Table (PMT). It also gives the location of the Network Information Table (NIT).
Transport Stream ID (TID) | The ID specified by the broadcaster.
Programs | The programs the are contained in the transport stream. A so called full mux can transport 10 SD channels or 3 - 4 HD channels. Only program with associated elementary streams are listed here. For a full list see the Programs Page.
Audio Streams | Lists the contained audio streams and selects the active audio stream. The additional info specifies the ISO language identifier and the track format, like MPG or AC3.
Associated File Extensions | This semicolon separated list specifies the file extensions of files that are played back using the HDTVPump. Can can edit this list as needed.
Preferred Demultiplexer | This parameter specifies how the filter graph is built. The demultiplexer splits audio and video packets.
Video Info PID Steam Type Format Video Size Frame Rate PTS | These parameters describe the video stream. The packet identifier for the video packets The indicated video stream type The ISO/IEC type format The physical dimensions of the video stream The indicated playback frame rate The presentation time stamps which govern the video/audio synchronization
Audio Info PID Steam Type Format | These parameters describe the selected audio stream. The packet identifier for the audio packets The indicated audio stream type The ISO/IEC type format
Prefer AC3 Audio Track | If selected, the HDTVPump uses the AC3 track for playback. If the stream does not contain an AC3 track, the first MPEG audio track is selected.
Auto-Select Media Type | If selected, the HDTVPump displays a confirmation dialog, if the audio media type requires a graph rebuild. If not selected, audio may remain muted, if the media type differes from the type for which the graph is build.
Allow Graphedit to attach to graph | If selected, you can use the graph editor to inspect the playback graph. This is useful to track down playback problems.
Determine Media Length | If selected, the HDTVPump does a fast file scan to determine the playback time of the movie.
Ignore Bad CRC On PMT | If selected, more table instances can be inspected to determine video and audio PIDs. Use it, if HDTVPump can't find video and audio streams, deselect it, if you experience crashes in MCE2005.
Fast Seeking | If selected, the seeking in files is very fast, but only accurate within a second. If deselected, reseeks are common to find the exact video frame position. In either way, video and audio is synchronized after seeking to ensure lip-sync playback. Synchronisation may case audio or video to pause for a short time after seeking.

Related topics

  • Controlling filters


PID info

This property page displays the packet identifiers (PIDs) of the transport stream in a list sorted by frequency.

Service Information (SI) description

ISO/IEC 13818 [1] specifies SI which is referred to as PSI. The PSI data provides information to demultiplex and decode the various streams of programs within the multiplex.

PID | Description
Program Association Table (PAT): | For each service in the multiplex, the PAT indicates the location (the Packet Identifier (PID) values of the Transport Stream (TS) packets) of the corresponding Program Map Table (PMT). It also gives the location of the Network Information Table (NIT).
Conditional Access Table (CAT): | The CAT provides information defined within the present document) stream, when applicable.
Program Map Table (PMT): | The PMT identifies and indicates the locations of the streams the Program Clock Reference fields for a service.
Network Information Table (NIT): | The location of the NIT is defined in the present document in compliance with ISO/IEC 13818-1 specification, but the data format is outside the scope of ISO/IEC 13818-1. It is intended to provide information about the physical network. The syntax and semantics of the NIT are defined in the present document.
Bouquet Association Table (BAT): | The BAT provides information regarding list of services for each bouquet.
Service Description Table (SDT): | The SDT contains data describing the services in the system e.g. names of services, the service provider, etc.
Event Information Table (EIT): | The EIT contains data concerning events or programmes such as event name, start time, duration, etc.; The use of different descriptors allows the transmission of different kinds of event information e.g. for different service types.
Running Status Table (RST): | The RST gives the status of an event (running/not running). The RST updates this information and allows timely automatic switching to events.
Time and Date Table (TDT): | The TDT gives information relating to the present time and date. This information is given in a separate table due to the frequent updating of this information.
Time Offset Table (TOT): | The TOT gives information relating to the present time and date and local time offset. This information is given in a separate table due to the frequent updating of the time information.
Stuffing Table (ST): | The ST is used to invalidate existing sections, for example at delivery system boundaries.
Selection Information Table (SIT) | The SIT is used only in "partial" (i.e. recorded) bitstreams. It carries a summary of the SI information required to describe the streams in the partial bitstream.
Discontinuity Information Table (DIT) | The DIT is used only in "partial" (i.e. recorded) bitstreams. It is inserted where the SI information in the partial bitstream may be discontinuous.

Related topics

  • Controlling filters


Programs

Transport streams can carry a couple of programs. The Programs page displays all programs from the multiplex. Only programs with associated streams can be selected for playback.

Related topics

  • Controlling filters


To show filter properties

  1. Play a file that you want to view the properties from.
  2. On the View menu, point to Plug-ins, and then click Transport Stream Controls.
  3. Hold the Shift-Key, then click the Properties link.
  4. Select a filter from the popup menu to display it's properties.

Related topics

  • Controlling filters


Taking still captures

Several filters allow it, to take a still capture in full resolution.

  1. Play a file that you want to take a still capture from.
  2. On the View menu, point to Plug-ins, and then click Transport Stream Controls.
  3. Hold the Shift-Key, then click the Properties link.
  4. Select a MPEG-2 Decoder or Render filter from the popup menu to display it's properties.
  5. Click on Snapshot.

- or-

Related topics

  • Using the HDTVPump plug-in


Legal Notice

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, people and events depicted herein are fictitious and no association with any real company, organization, product, person or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of DVBPortal.

DVBPortal may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from DVBPortal, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2005 DVBPortal. All rights reserved.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.

This software is based in part on the work of the Independent JPEG Group.

This software is provided "as is" without express or implied warranty.